Bug 3703 - ERROR: string overflow by 1 (24 - 23) in safe_strcpy
ERROR: string overflow by 1 (24 - 23) in safe_strcpy
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.20
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 08:00 UTC by Guilherme
Modified: 2007-04-24 02:14 UTC (History)
1 user (show)

See Also:


Attachments
Same patch of bug 4512 with some name->servicename conversions (4.92 KB, patch)
2007-04-24 02:14 UTC, Diego Liziero
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guilherme 2006-04-20 08:00:39 UTC
On Wed, Apr 19, 2006 at 12:54:59AM -0300, Guilherme Fernandes de Souza Miguel wrote:
> > Hi, everybody, i need a help with samba 3...
> > well , when i try to logon as a big user... more than 23 caracthers, i 
> > got a message error on my log.smbd, that says :

Could you please file a bug report at
https://bugzilla.samba.org and attach debug level 10 logs of
smbd there? A network trace of the logon process would help
a lot as well.

Thanks,

Volker

the samba log with the debug level 10 is attached here.
thanks for the help
Guilherme

[2006/04/19 22:46:41, 1] smbd/service.c:close_cnum(835)
  guilherme-note (10.1.1.7) closed connection to service profiles
[2006/04/19 22:50:41, 0] printing/print_cups.c:cups_cache_reload(85)
  Unable to connect to CUPS server localhost - Connection refused
[2006/04/19 22:50:41, 0] printing/print_cups.c:cups_cache_reload(85)
  Unable to connect to CUPS server localhost - Connection refused
[2006/04/19 23:03:18, 0] lib/util_sock.c:read_data(526)
  read_data: read failure for 4 bytes to client 10.1.1.7. Error = No route to host
[2006/04/19 23:03:18, 2] smbd/server.c:exit_server(608)
  Closing connections
[2006/04/19 23:05:45, 0] smbd/server.c:main(802)
  smbd version 3.0.20-3-SUSE started.
  Copyright Andrew Tridgell and the Samba Team 1992-2004
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[homes]"
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[profiles]"
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[users]"
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[groups]"
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[printers]"
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[print$]"
[2006/04/19 23:05:45, 2] param/loadparm.c:do_section(3559)
  Processing section "[netlogon]"
[2006/04/19 23:05:46, 0] printing/print_cups.c:cups_cache_reload(85)
  Unable to connect to CUPS server localhost - Connection refused
[2006/04/19 23:05:46, 0] printing/print_cups.c:cups_cache_reload(85)
  Unable to connect to CUPS server localhost - Connection refused
[2006/04/19 23:05:46, 2] lib/interface.c:add_interface(81)
  added interface ip=10.1.1.4 bcast=10.255.255.255 nmask=255.0.0.0
[2006/04/19 23:05:46, 0] smbd/server.c:main(839)
  standard input is not a socket, assuming -D option
[2006/04/19 23:05:46, 0] lib/pidfile.c:pidfile_create(102)
  ERROR: smbd is already running. File /var/run/samba/smbd.pid exists and process id 5014 is running.
[2006/04/19 23:05:57, 5] lib/debug.c:debug_dump_status(368)
  INFO: Current debug levels:
    all: True/10
    tdb: False/0
    printdrivers: False/0
    lanman: False/0
    smb: False/0
    rpc_parse: False/0
    rpc_srv: False/0
    rpc_cli: False/0
    passdb: False/0
    sam: False/0
    auth: False/0
    winbind: False/0
    vfs: False/0
    idmap: False/0
    quota: False/0
    acls: False/0
    locking: False/0
    msdfs: False/0
[2006/04/19 23:07:47, 0] printing/print_cups.c:cups_cache_reload(85)
  Unable to connect to CUPS server localhost - Connection refused
[2006/04/19 23:07:47, 0] printing/print_cups.c:cups_cache_reload(85)
  Unable to connect to CUPS server localhost - Connection refused
[2006/04/19 23:07:47, 2] smbd/reply.c:reply_special(448)
  netbios connect: name1=LINUX           name2=GUILHERME-NOTE 
[2006/04/19 23:07:47, 2] smbd/reply.c:reply_special(455)
  netbios connect: local=linux remote=guilherme-note, name type = 0
[2006/04/19 23:07:47, 2] smbd/sesssetup.c:setup_new_vc_session(704)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2006/04/19 23:07:47, 2] smbd/sesssetup.c:setup_new_vc_session(704)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2006/04/19 23:07:58, 2] smbd/server.c:exit_server(608)
  Closing connections
[2006/04/19 23:08:02, 2] smbd/reply.c:reply_special(448)
  netbios connect: name1=LINUX           name2=GUILHERME-NOTE 
[2006/04/19 23:08:02, 2] smbd/reply.c:reply_special(455)
  netbios connect: local=linux remote=guilherme-note, name type = 0
[2006/04/19 23:08:02, 2] smbd/sesssetup.c:setup_new_vc_session(704)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2006/04/19 23:08:02, 2] smbd/sesssetup.c:setup_new_vc_session(704)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2006/04/19 23:08:02, 0] rpc_server/srv_pipe.c:api_pipe_bind_req(981)
  Attempt to bind using schannel without successful serverauth2
[2006/04/19 23:08:02, 2] auth/auth.c:check_ntlm_password(307)
  check_ntlm_password:  authentication for user [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] succeeded
[2006/04/19 23:08:03, 2] rpc_server/srv_samr_nt.c:_samr_lookup_domain(2276)
  Returning domain sid for domain DOMINIO.TESTE -> S-1-5-21-160443912-3187241341-1526884989
[2006/04/19 23:08:03, 2] auth/auth.c:check_ntlm_password(307)
  check_ntlm_password:  authentication for user [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] succeeded
[2006/04/19 23:08:03, 0] rpc_parse/parse_prs.c:prs_mem_get(533)
  prs_mem_get: reading data of size 4 would overrun buffer.
[2006/04/19 23:08:03, 0] rpc_server/srv_pipe.c:api_rpcTNP(1572)
  api_rpcTNP: winreg: REG_CREATE_KEY_EX failed.
[2006/04/19 23:08:03, 2] auth/auth.c:check_ntlm_password(307)
  check_ntlm_password:  authentication for user [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] succeeded
[2006/04/19 23:08:03, 1] smbd/service.c:make_connection_snum(662)
  guilherme-note (10.1.1.7) connect to service profiles initially as user usuario_teste_muito_grande@dominio1.dominios2.ufu.br (uid=1005, gid=100) (pid 5123)
[2006/04/19 23:08:04, 1] smbd/service.c:close_cnum(835)
  guilherme-note (10.1.1.7) closed connection to service profiles
[2006/04/19 23:08:04, 2] auth/auth.c:check_ntlm_password(307)
  check_ntlm_password:  authentication for user [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] -> [usuario_teste_muito_grande@dominio1.dominios2.ufu.br] succeeded
[2006/04/19 23:08:04, 1] smbd/service.c:make_connection_snum(662)
  guilherme-note (10.1.1.7) connect to service netlogon initially as user usuario_teste_muito_grande@dominio1.dominios2.ufu.br (uid=1005, gid=100) (pid 5123)
[2006/04/19 23:08:05, 0] lib/util_str.c:safe_strcpy_fn(603)
  ERROR: string overflow by 1 (24 - 23) in safe_strcpy [usuario_teste_muito_grande@dominio1.dominios2.ufu.]
[2006/04/19 23:08:05, 1] smbd/service.c:make_connection_snum(662)
  guilherme-note (10.1.1.7) connect to service usuario_teste_muito_grande@dominio1.dominios2.ufu.br initially as user usuario_teste_muito_grande@dominio1.dominios2.ufu.br (uid=1005, gid=100) (pid 5123)
[2006/04/19 23:09:15, 2] rpc_server/srv_samr_nt.c:_samr_lookup_domain(2276)
  Returning domain sid for domain DOMINIO.TESTE -> S-1-5-21-160443912-3187241341-1526884989
[2006/04/19 23:09:15, 1] smbd/service.c:make_connection_snum(662)
  guilherme-note (10.1.1.7) connect to service profiles initially as user usuario_teste_muito_grande@dominio1.dominios2.ufu.br (uid=1005, gid=100) (pid 5123)
[2006/04/19 23:09:15, 1] smbd/service.c:make_connection_snum(662)
  guilherme-note (10.1.1.7) connect to service profiles initially as user usuario_teste_muito_grande@dominio1.dominios2.ufu.br (uid=1005, gid=100) (pid 5123)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf4.tmp read=Yes write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf4.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf4.tmp read=Yes write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf4.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf4.tmp read=No write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf4.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf4.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf4.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf4.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf4.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf5.tmp read=Yes write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf5.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf5.tmp read=Yes write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf5.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf5.tmp read=No write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf5.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf5.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf5.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf5.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf5.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf6.tmp read=Yes write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf6.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf6.tmp read=Yes write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf6.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf6.tmp read=No write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf6.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf6.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf6.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/prf6.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/prf6.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Recent/prf7.tmp read=Yes write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf8.tmp read=Yes write=No (numopen=2)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Recent/prf7.tmp (numopen=1) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf8.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Recent/prf7.tmp read=Yes write=Yes (numopen=1)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf8.tmp read=Yes write=Yes (numopen=2)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prf9.tmp read=Yes write=No (numopen=3)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfA.tmp read=Yes write=No (numopen=4)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfB.tmp read=Yes write=No (numopen=5)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfC.tmp read=Yes write=No (numopen=6)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfD.tmp read=Yes write=No (numopen=7)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Recent/prf7.tmp (numopen=6) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Recent/prf7.tmp read=No write=No (numopen=7)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf8.tmp (numopen=6) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Recent/prf7.tmp (numopen=5) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Recent/prf7.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Recent/prf7.tmp (numopen=5) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf8.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prf9.tmp (numopen=5) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfA.tmp (numopen=4) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfB.tmp (numopen=3) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfC.tmp (numopen=2) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfD.tmp (numopen=1) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf8.tmp (numopen=0) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfE.tmp read=Yes write=No (numopen=1)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prf9.tmp read=Yes write=Yes (numopen=2)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfA.tmp read=Yes write=Yes (numopen=3)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfB.tmp read=Yes write=Yes (numopen=4)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfC.tmp read=Yes write=Yes (numopen=5)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfD.tmp read=Yes write=Yes (numopen=6)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf8.tmp read=No write=No (numopen=7)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf8.tmp (numopen=6) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf8.tmp read=No write=No (numopen=7)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf8.tmp (numopen=6) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfE.tmp (numopen=5) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/wordpfct.wpg read=No write=No (numopen=6)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfE.tmp read=Yes write=Yes (numopen=7)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfC.tmp (numopen=6) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfB.tmp (numopen=5) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prf9.tmp (numopen=4) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfD.tmp (numopen=3) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfC.tmp read=No write=No (numopen=4)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfB.tmp read=No write=No (numopen=5)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prf9.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfD.tmp read=No write=No (numopen=7)
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/wordpfct.wpg (numopen=6) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfA.tmp (numopen=5) 
[2006/04/19 23:09:16, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfC.tmp (numopen=4) 
[2006/04/19 23:09:16, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfA.tmp read=No write=No (numopen=5)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfC.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfC.tmp (numopen=5) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfB.tmp (numopen=4) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfB.tmp read=No write=No (numopen=5)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfB.tmp (numopen=4) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prf9.tmp (numopen=3) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prf9.tmp read=No write=No (numopen=4)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prf9.tmp (numopen=3) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfD.tmp (numopen=2) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfD.tmp read=No write=No (numopen=3)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfD.tmp (numopen=2) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfA.tmp (numopen=1) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/SendTo/prfA.tmp read=No write=No (numopen=2)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/SendTo/prfA.tmp (numopen=1) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfE.tmp (numopen=0) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfE.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfE.tmp (numopen=0) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfE.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfE.tmp (numopen=0) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfE.tmp read=No write=No (numopen=1)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfE.tmp (numopen=0) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/wordpfct.wpd read=No write=No (numopen=1)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfF.tmp read=Yes write=No (numopen=2)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf10.tmp read=Yes write=No (numopen=3)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf11.tmp read=Yes write=No (numopen=4)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf12.tmp read=Yes write=No (numopen=5)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf13.tmp read=Yes write=No (numopen=6)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf14.tmp read=Yes write=No (numopen=7)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/wordpfct.wpd (numopen=6) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfF.tmp (numopen=5) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf10.tmp (numopen=4) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf11.tmp (numopen=3) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf12.tmp (numopen=2) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf13.tmp (numopen=1) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf14.tmp (numopen=0) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfF.tmp read=Yes write=Yes (numopen=1)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf10.tmp read=Yes write=Yes (numopen=2)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf11.tmp read=Yes write=Yes (numopen=3)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf12.tmp read=Yes write=Yes (numopen=4)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf13.tmp read=Yes write=Yes (numopen=5)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf14.tmp read=Yes write=Yes (numopen=6)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf15.tmp read=Yes write=No (numopen=7)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf15.tmp (numopen=6) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf15.tmp read=Yes write=Yes (numopen=7)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf10.tmp (numopen=6) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf13.tmp (numopen=5) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf10.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf13.tmp read=No write=No (numopen=7)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfF.tmp (numopen=6) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf10.tmp (numopen=5) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfF.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf10.tmp read=No write=No (numopen=7)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf10.tmp (numopen=6) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf13.tmp (numopen=5) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf13.tmp read=No write=No (numopen=6)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf13.tmp (numopen=5) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfF.tmp (numopen=4) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prfF.tmp read=No write=No (numopen=5)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prfF.tmp (numopen=4) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf12.tmp (numopen=3) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf14.tmp (numopen=2) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf12.tmp read=No write=No (numopen=3)
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf14.tmp read=No write=No (numopen=4)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf12.tmp (numopen=3) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf12.tmp read=No write=No (numopen=4)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf12.tmp (numopen=3) 
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf14.tmp (numopen=2) 
[2006/04/19 23:09:17, 2] smbd/open.c:open_file(372)
  usuario_teste_muito_grande_dominio1.dominios2.ufu.br opened file .msprofile/Modelos/prf14.tmp read=No write=No (numopen=3)
[2006/04/19 23:09:17, 2] smbd/close.c:close_normal_file(270)
  usuario_teste_muito_grande@dominio1.dominios2.ufu.br closed file .msprofile/Modelos/prf14.tmp (numopen=2)
Comment 1 Diego Liziero 2007-04-21 04:19:42 UTC
I get the same error when using a samba share whose name is longer than 23 chars.

smbd[8935]: [2007/04/21 10:00:06, 0] lib/util_str.c:safe_strcpy_fn(603) 
smbd[8935]:   ERROR: string overflow by 1 (24 - 23) in safe_strcpy [very_long_hidden_share_name$] 

Version (Centos5 rpm: samba-3.0.23c-2.el5.2) on i686 Linux 2.6.18-1.2747.el5xen
Comment 2 Jeremy Allison 2007-04-21 16:05:26 UTC
I think this should be fixed now for 3.0.25rc2.
Comment 3 Gerald (Jerry) Carter 2007-04-21 16:17:53 UTC
closing
Comment 4 Diego Liziero 2007-04-24 02:14:20 UTC
Created attachment 2403 [details]
Same patch of bug 4512 with some name->servicename conversions

Great, I used the patch from bug 4512 and some name->servicename conversions and the error disappeared from the logs.
Posting here the patch, just if some distros feel like applying it.